<?php

namespace DefStudio\GameEngine\Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;
use DefStudio\GameEngine\Database\Factories\Concerns\DefinesAwards;

class OrganizationFactory extends Factory
{
    use DefinesAwards;

    public function modelName(): string
    {
        return \game_engine()->organizationClass();
    }

    public function definition(): array
    {
        return [
            'name' => fake()->company(),
        ];
    }
}
